Bug 110879 - databases/grass: Use termios.h when available
Summary: databases/grass: Use termios.h when available
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-26 19:50 UTC by Ed Schouten
Modified: 2007-04-11 21:20 UTC (History)
0 users

See Also:


Attachments
file.diff (585 bytes, patch)
2007-03-26 19:50 UTC, Ed Schouten
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Schouten 2007-03-26 19:50:02 UTC
The databases/grass port makes use of sgtty.h to read the interrupt
character value. We could use termios.h, which works without
COMPAT_43TTY as well. The autoconf script already checks for termios.h.

Fix: Create a directory called `files' and place the following patch in it:
Comment 1 Edwin Groothuis freebsd_committer 2007-03-26 19:50:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Martin Wilke freebsd_committer 2007-03-26 19:56:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Laurent Courty 2007-03-27 10:21:48 UTC
Well, it's a bit above my knowledge ;)
If I understand well, the aim is to get rid of COMPAT_43TTY ?
Is this patch FreeBSD specific or can it be forwarded to the grass team ?

Laurent Courty
Comment 4 Ed Schouten 2007-03-27 10:26:55 UTC
* Laurent C. <lrntct@gmail.com> wrote:
> Well, it's a bit above my knowledge ;)
> If I understand well, the aim is to get rid of COMPAT_43TTY ?


Yes. COMPAT_43TTY shouldn't be removed at once, but it is something that
could be considered for removal in the future.

> Is this patch FreeBSD specific or can it be forwarded to the grass team ?


The patch is also applicable to other operating systems, including
Linux. I've already sent the patch to the grass-dev@ mailing list, but
it looks like it's still stuck in their moderation queue.

-- 
 Ed Schouten <ed@fxq.nl>
 WWW: http://g-rave.nl/
Comment 5 Ed Schouten 2007-04-01 21:34:17 UTC
* Ed Schouten <ed@fxq.nl> wrote:
> The patch is also applicable to other operating systems, including
> Linux. I've already sent the patch to the grass-dev@ mailing list, but
> it looks like it's still stuck in their moderation queue.


The patch has been committed by the GRASS developers:

| http://wald.intevation.org/tracker/index.php?func=detail&aid=347&group_id=21&atid=205

-- 
 Ed Schouten <ed@fxq.nl>
 WWW: http://g-rave.nl/
Comment 6 Martin Wilke freebsd_committer 2007-04-11 21:12:26 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2007-04-11 21:12:39 UTC
miwi        2007-04-11 20:12:06 UTC

  FreeBSD ports repository

  Added files:
    databases/grass/files patch-intr_char.c 
  Log:
  - Use termios.h when available
  
  PR:             110879
  Submitted by:   Ed Schouten <ed@fxq.nl>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.1       +27 -0     ports/databases/grass/files/patch-intr_char.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"